| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bmgtransfer.cpp File Reference

Transfer pieces of information between micrograph paramater files. More...

`#include "mg_processing.h"`
`#include "rwmg.h"`
`#include "mg_ctf.h"`
`#include "file_util.h"`
`#include "utilities.h"`
`#include "options.h"`

Go to the source code of this file.

## Functions
long | project_replace_parameters (Bproject *project, Bproject *proj_source, Bstring &which)
int | main (int argc, char **argv)
long | mg_replace_parameters (Bmicrograph *mg, Bmicrograph *mg_source, Bstring &which, Vector3< double > origin)
long | field_replace_parameters (Bfield *field, Bfield *field_source, Bstring &which)
long | rec_replace_parameters (Breconstruction *rec, Breconstruction *rec_source, Bstring &which)

## Variables
int | verbose
const char * | use []

## Detailed Description

Transfer pieces of information between micrograph paramater files.

Author
  Bernard Heymann

Date
  Created: 20140701
  Modified: 20140703

Definition in file bmgtransfer.cpp.

## Function Documentation

## ◆ field_replace_parameters()

long field_replace_parameters | ( | Bfield * | field,
|  | Bfield * | field_source,
|  | Bstring & | which
| ) |  |

Definition at line 178 of file bmgtransfer.cpp.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 54 of file bmgtransfer.cpp.

## ◆ mg_replace_parameters()

long mg_replace_parameters | ( | Bmicrograph * | mg,
|  | Bmicrograph * | mg_source,
|  | Bstring & | which,
|  | Vector3< double > | origin
| ) |  |

Definition at line 146 of file bmgtransfer.cpp.

## ◆ project_replace_parameters()

long project_replace_parameters | ( | Bproject * | project,
|  | Bproject * | proj_source,
|  | Bstring & | which
| ) |  |

Definition at line 229 of file bmgtransfer.cpp.

## ◆ rec_replace_parameters()

long rec_replace_parameters | ( | Breconstruction * | rec,
|  | Breconstruction * | rec_source,
|  | Bstring & | which
| ) |  |

Definition at line 202 of file bmgtransfer.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 22 of file bmgtransfer.cpp.

## ◆ verbose

int verbose